Subject: System does not boot after switching to system-log service

From: Tomas Volf <[email-masked]>
Date: Sun, 16 Feb 2025 01:41:50 +0100

Hello,

after pulling recent Guix, I got this error during guix deploy:

--8<---------------cut here---------------start------------->8---
guix deploy: warning: an error occurred while upgrading services on '127.0.0.1':
%exception #<inferior-object #<&service-not-found-error service: system-log>> 
--8<---------------cut here---------------end--------------->8---

After rebooting, the system got stack during startup.  No error message
was visible, it was just hanging.

Booting to previous generation did work.

Tomas

-- 
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.